EvPeriodic::__construct
EvPeriodic::set
EvPeriodic
PHP Manual

# EvPeriodic::createStopped

(PECL ev >= 0.2.0)

EvPeriodic::createStopped — Create a stopped EvPeriodic watcher

### Description

final public static EvPeriodic EvPeriodic::createStopped ( double `$offset` , double `$interval` , callable `$reschedule_cb` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Create EvPeriodic object. Unlike EvPeriodic::__construct() this method doesn't start the watcher automatically.

### Parameters

`offset`

  See Periodic watcher operation modes

`interval`

  See Periodic watcher operation modes

`reschedule_cb`

  Reschedule callback. You can pass `NULL`. See Periodic watcher operation modes

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvPeriodic watcher object on success.

### See Also

- EvPeriodic::__construct() - Constructs EvPeriodic watcher object
- EvTimer::createStopped() - Creates EvTimer stopped watcher object

EvPeriodic::__construct
EvPeriodic::set
EvPeriodic
PHP Manual